#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
cookiecutter.exceptions
---------------------

Cookiecutter-specific exceptions.
"""


class CookiecutterException(Exception):
    """
    Base exception class. All Cookiecutter-specific exceptions should subclass
    this class.
    """


class NonTemplatedInputDirException(CookiecutterException):
    """
    Raised when a project's input dir is not templated. 
    The name of the input directory should always contain a string that is
    rendered to something else, so that input_dir != output_dir.
    """
